package net.javase.db.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Column
 *
 * @author frank
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Column {

    /**
     * column name
     *
     * @return column name
     */
    String name();

    /**
     * not null
     *
     * @return true | false
     */
    boolean notNull() default false;

    /**
     * default value
     *
     * @return default value
     */
    String defaultValue();

}
