package net.javase.db.config;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * DbConfig
 *
 * @author Frank
 */
public class DbConfig {
    private static final String FILE_NAME = "mysql.properties";

    private static Properties p = null;

    private static DbConfig dbConfig = null;

    /**
     * driver
     */
    private String driver;

    /**
     * url
     */
    private String url;

    /**
     * username
     */
    private String username;

    /**
     * password
     */
    private String password;

    public DbConfig(String driver, String url, String username, String password) {
        this.driver = driver;
        this.url = url;
        this.username = username;
        this.password = password;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    static {
        InputStream inputStream = ClassLoader.getSystemResourceAsStream(FILE_NAME);
        p = new Properties();
        try {
            p.load(inputStream);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    /**
     * 获取配置信息对象
     */
    public static DbConfig get() {
        if (dbConfig == null) {
            dbConfig = new DbConfig(
                    p.getProperty("driver"),
                    p.getProperty("url"),
                    p.getProperty("username"),
                    p.getProperty("password")
            );
        }
        return dbConfig;
    }
}
